/* Console input/output functions
 *
 * (c) Copyright 2016, TERMEX LTD.
 * This file is provided as is (no warranties).
 */
#pragma library Console

const outstream:
{
    usbstream = 0,
    btstream
}

const fformat:
{
    ffixed = 0,
    fscientific
}

const iformat:
{
    fdec = 0,
    fhex
}

native setoutstream(outstream:s) = -45;

native putchar(c) = -46;
native putstring(string[], width=0, precision=-1) = -47;
native putvalue(value, width=0, precision=-1, iformat:format=fdec) = -48;
native putfloat(Float:value, width=0, precision=-1, fformat:format=ffixed) = -49;

native flushoutput() = -50;
native flushinput() = -51;

// All getxxx functions blocks the VM thread if there is no
// characters in the input buffer.

native getchar() = -52;
native getstring(string[], maxlength=sizeof string, bool:pack=true) = -53;
native getvalue(iformat:base=fdec) = -54;
native Float:getfloat() = -55;

