/* String functions
 *
 * (c) Copyright 2005-2011, ITB CompuPhase
 * This file is provided as is (no warranties).
 */
#pragma library String

native memcpy(dest[], const source[], index=0, numbytes, maxlength=sizeof dest) = -12;
native bool: ispacked(const string[]) = -13;
native strlen(const string[]) = -14;
native strpack(dest[], const source[], maxlength=sizeof dest) = -15;
native strunpack(dest[], const source[], maxlength=sizeof dest) = -16;
native strcopy(dest[], const source[], maxlength=sizeof dest) = -17;
native strcat(dest[], const source[], maxlength=sizeof dest) = -18;
native strcmp(const string1[], const string2[], bool:ignorecase=false, length=cellmax) = -19;
native strfind(const string[], const sub[], bool:ignorecase=false, index=0) = -20;

native strmid(dest[], const source[], start=0, end=cellmax, maxlength=sizeof dest) = -21;
native bool: strins(string[], const substr[], index, maxlength=sizeof string) = -22;
native bool: strdel(string[], start, end) = -23;

native strval(const string[], index=0) = -24;
native valstr(dest[], value, bool:pack=true, maxlength=sizeof dest) = -25;

stock bool: strequal(const string1[], const string2[], bool:ignorecase=false, length=cellmax)
    return strcmp(string1, string2, ignorecase, length) == 0;

